Clirr Results

The following document contains the results of Clirr.

  • Current Version: 4.5.4
  • Comparison Version: 4.4

Summary

Severity Number
Error Error 0
Warning Warning 0
Info Info 4

API Incompatibilities

Severity Message Class Method / Field
Info Accessibility of method 'Content(byte[], org.apache.http.entity.ContentType)' has been increased from package to public org.apache.http.client.fluent.Content Content(byte[], org.apache.http.entity.ContentType)
Info Method 'public org.apache.http.client.fluent.Executor cookieStore(org.apache.http.client.CookieStore)' has been deprecated org.apache.http.client.fluent.Executor public org.apache.http.client.fluent.Executor cookieStore(org.apache.http.client.CookieStore)
Info Method 'public org.apache.http.client.fluent.Executor use(org.apache.http.client.CredentialsProvider)' has been added org.apache.http.client.fluent.Executor public org.apache.http.client.fluent.Executor use(org.apache.http.client.CredentialsProvider)
Info Method 'public org.apache.http.client.fluent.Executor use(org.apache.http.client.CookieStore)' has been added org.apache.http.client.fluent.Executor public org.apache.http.client.fluent.Executor use(org.apache.http.client.CookieStore)

API Changelog

The following APIs were modified from version 4.4 to 4.5.4:
  • Non justified changes

    Class From To
    org.apache.http.client.fluent.Content Content(byte[], org.apache.http.entity.ContentType)
    org.apache.http.client.fluent.Executor public org.apache.http.client.fluent.Executor cookieStore(org.apache.http.client.CookieStore)
    org.apache.http.client.fluent.Executor public org.apache.http.client.fluent.Executor use(org.apache.http.client.CookieStore)
    org.apache.http.client.fluent.Executor public org.apache.http.client.fluent.Executor use(org.apache.http.client.CredentialsProvider)